<?php
function current_date_offset($offset)
{
    if ($offset == 'U')
    {
        return "";
    }
    $date = date_create();
    $date->add(new DateInterval("P" . $offset));
    return $date->format(DateTimeInterface::ISO8601);
}

function write_line($dirname, $name, $description, $creation, $expiration, $expires)
{
    file_put_contents(
        tsv_path($dirname),
        implode("\t", [
            $name,
            $description,
            $creation,
            $expiration,
            $expires . "\n"
        ]),
        FILE_APPEND
    );
}

$creation = (new DateTime())->format(DateTimeInterface::ISO8601);
$expires = current_date_offset($_POST['expiration']);
write_line(
    $_POST['dirname'],
    $_POST['name'],
    $_POST['description'],
    $creation,
    $_POST['expiration'],
    $expires
);
$new_share = [
    "dir" => $_POST['dirname'],
    "name" => $_POST['name'],
    "description" => $_POST['description'],
    "creation" => $creation,
    "expiration" => $_POST['expiration'],
    "expires" => current_date_offset($_POST['expiration'])
];
$new_share["link"] = "./read.php?id=" . gen_identifier($new_share);
?>
