<?php
function remove_share($dir, $creation)
{
    $identifier = gen_identifier([
        'dir' => $dir,
        'creation' => $creation
    ]);


    $tsv = tsv_path($dir); 
    $keep = [];

    $lines = file_get_contents($tsv);

    foreach (explode("\n", $lines) as $line)
    {
        if (!$line)
        {
            continue;
        }

        $share = get_struct($dir, $line);
        if (!(gen_identifier($share) == $identifier))
        {
            $keep[] = $line;
        }
    }
    file_put_contents($tsv, implode("\n", $keep));

    header("Location: index.php?dir=" . $dir);

}

remove_share($selected_dir, $_GET['creation']);

?>
